#ifndef XMATERIALTEXTUREDEF_H
#define XMATERIALTEXTUREDEF_H

#include "xasset.h"
#include "xmaterialtexturedefinfo.h"

class XMaterialTextureDef : public XAsset
{
public:
    XMaterialTextureDef();
    ~XMaterialTextureDef();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    unsigned int mNameHash;
    char mNameStart;
    char mNameEnd;
    quint8 mSamplerState;
    quint8 mSemantic;
    XMaterialTextureDefInfo mDefInfo;
};

#endif // XMATERIALTEXTUREDEF_H
